package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 润滑计划明细对象 dms_plan_lube_detail
 *
 * @author xins
 * @date 2024-03-21
 */
public class DmsPlanLubeDetail extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long planLubeDetailId;

    /** 计划ID，关联润滑计划ID */
    @Excel(name = "计划ID，关联润滑计划ID")
    private Long planLubeId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 润滑部位,关联润滑部位主键 */
    @Excel(name = "润滑部位,关联润滑部位主键")
    private Long lubeStationId;

    /** 润滑标准ID，关联润滑标准主键 */
    @Excel(name = "润滑标准ID，关联润滑标准主键")
    private Long lubeStandardId;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private String deviceName;

    private String lubeStationName;

    private String lubeStandardCode;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getLubeStationName() {
        return lubeStationName;
    }

    public void setLubeStationName(String lubeStationName) {
        this.lubeStationName = lubeStationName;
    }

    public String getLubeStandardCode() {
        return lubeStandardCode;
    }

    public void setLubeStandardCode(String lubeStandardCode) {
        this.lubeStandardCode = lubeStandardCode;
    }

    public void setPlanLubeDetailId(Long planLubeDetailId)
    {
        this.planLubeDetailId = planLubeDetailId;
    }

    public Long getPlanLubeDetailId()
    {
        return planLubeDetailId;
    }
    public void setPlanLubeId(Long planLubeId)
    {
        this.planLubeId = planLubeId;
    }

    public Long getPlanLubeId()
    {
        return planLubeId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setLubeStationId(Long lubeStationId)
    {
        this.lubeStationId = lubeStationId;
    }

    public Long getLubeStationId()
    {
        return lubeStationId;
    }
    public void setLubeStandardId(Long lubeStandardId)
    {
        this.lubeStandardId = lubeStandardId;
    }

    public Long getLubeStandardId()
    {
        return lubeStandardId;
    }
    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planLubeDetailId", getPlanLubeDetailId())
            .append("planLubeId", getPlanLubeId())
            .append("deviceId", getDeviceId())
            .append("lubeStationId", getLubeStationId())
            .append("lubeStandardId", getLubeStandardId())
            .append("operationDescription", getOperationDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
